Attribute VB_Name = "MSFlexGrid"
'//  Text Box   
Public Sub FGInit(ByRef txtEdit As Control)
    With txtEdit
    .BorderStyle = 0
    .Text = ""
    .Visible = False
    End With
End Sub

'//     Flex Grid'
Public Sub FGEdit(ByRef msGrid As Control, ByRef txEdit As Control, _
                                        ByVal KeyAscii As Integer)
    Select Case KeyAscii
    Case 0 To 32
        txEdit = msGrid
        txEdit.SelStart = 0
        txEdit.SelLength = Len(txEdit)
    Case Else
        txEdit = Chr(KeyAscii)
        txEdit.SelStart = 1
    End Select
    
    txEdit.Move msGrid.Left + msGrid.CellLeft, msGrid.Top + msGrid.CellTop, _
                msGrid.CellWidth, msGrid.CellHeight
    txEdit.Visible = True
    txEdit.SetFocus
    
End Sub

'//     (Esc, Enter, KeyUp, KeyDown)
Public Sub FGKeyCode(ByRef msGrid As Control, ByRef txEdit As Control, _
                                        ByVal KeyCode As Integer)
    Select Case KeyCode
    Case 27     '// Esc
        txEdit.Visible = False
        msGrid.SetFocus
    Case 13
        msGrid.SetFocus
    Case 38
        msGrid.SetFocus
        DoEvents
        If msGrid.Row > msGrid.FixedRows Then msGrid.Row = msGrid.Row - 1
    Case 40
        msGrid.SetFocus
        DoEvents
        If msGrid.Row < msGrid.Rows - 1 Then msGrid.Row = msGrid.Row + 1
    End Select

End Sub

'//     Text Box'  Flex Grid
Public Sub FGSetNewText(ByRef msGrid As Control, ByRef txEdit As Control)

    If Not txEdit.Visible Then Exit Sub
    
    msGrid = txEdit
    txEdit.Visible = False

End Sub
